<div class="ap-news-container">

  <div class="form-box">
    <button class="button" (click)="toggleFormState()">
      Добавить
      <div class="button__horizontal"></div>
      <div class="button__vertical"></div>
    </button>
    <form
      (ngSubmit)="save()"
      [formGroup]="servicesForm"
      *ngIf="isFormVisible"
      #scrollMe
      class="form-container">
      <div class="form__group field">
        <select
          formControlName="category"
          class="form__field select"
          placeholder="Категория"
          name="category"
          id='category'>
          <option value="accreditation">Аккредитация</option>
          <option value="license">Лицензирование</option>
          <option value="site">Сайты</option>
        </select>
        <label for="category" class="form__label">Категория</label>
        <div
          *ngIf="
          servicesForm.controls['category'].invalid
           && (servicesForm.controls['category'].dirty
           || servicesForm.controls['category'].touched)">
          <div
            class="form-error"
            *ngIf="servicesForm.controls['category'].errors?.['required']">
            Выбирите тип услуги
          </div>
        </div>
      </div>
      <div class="form__group field">
        <input
          formControlName="name"
          type="text"
          class="form__field"
          placeholder="Описание услуги"
          name="name"
          id='name'/>
        <label for="name" class="form__label">Описание услуги</label>
        <div
          *ngIf="
          servicesForm.controls['name'].invalid
           && (servicesForm.controls['name'].dirty
           || servicesForm.controls['name'].touched)">
          <div
            class="form-error"
            *ngIf="servicesForm.controls['name'].errors?.['required']">
            Напишите название услуги
          </div>
        </div>
      </div>
      <div class="form__group field">
        <input
          formControlName="price"
          type="text"
          class="form__field"
          placeholder="Цена"
          name="price"
          id='price'/>
        <label for="price" class="form__label">Цена</label>
        <div
          *ngIf="
          servicesForm.controls['price'].invalid
           && (servicesForm.controls['price'].dirty
           || servicesForm.controls['price'].touched)">
          <div
            class="form-error"
            *ngIf="servicesForm.controls['price'].errors?.['required']">
            Напишите цену
          </div>
        </div>
      </div>
      <div class="form__group field form-bottom">
        <button [disabled]="servicesForm.invalid" class="btn">Добавить</button>
      </div>
    </form>
  </div>

  <div class="table">
    <div class="table-header">
      <div class="header__item"><a class="filter__link">Категория</a></div>
      <div class="header__item"><a class="filter__link filter__link--number">Описание</a></div>
      <div class="header__item"><a class="filter__link filter__link--number">Цена</a></div>
      <div class="header__item">
        <a class="filter__link filter__link--number">Действия</a>
      </div>
    </div>
    <div class="table-content">
      <ng-container *ngFor="let service of services$ | async">
        <div class="table-row">
          <div *ngIf="service.category === 'accreditation'" class="table-data">Аккредитация</div>
          <div *ngIf="service.category === 'license'" class="table-data">Лицензирование</div>
          <div *ngIf="service.category === 'site'" class="table-data">Сайты</div>
          <div class="table-data">{{service.name}}</div>
          <div class="table-data description">{{service.price}}</div>
          <div class="table-data icons">
            <img [routerLink]="['/admin/services/' + service.id]" class="table-icon" src="assets/icons/edit-icon.svg" alt="Изменить">
            <img (click)="openModal(service.id)" class="table-icon" src="assets/icons/trash-icon.svg" alt="Удалить">
          </div>
        </div>
      </ng-container>
    </div>
  </div>
</div>

<ng-container *ngIf="isRemovePopup">
  <app-modal (closeWindow)="isRemovePopup = false">
    <div class="modal-content">
      <p class="alert upper-bold">Вы действительно хотите удалить?</p>
      <button class="btn warning" (click)="removeService()">Подтвердить</button>
    </div>
  </app-modal>
</ng-container>
